Main Page Namespace List Class Hierarchy Alphabetical List Compound List Namespace Members Compound Members Related Pages

# Composition::ParamTextC Class Reference

Text parameter class. More...

`#include <ParamI.h>`

Inheritance diagram for Composition::ParamTextC:

List of all members.

## Public Methods

- virtual Edit::DataBlockI* create ()
- virtual Edit::DataBlockI* create ( Edit::EditableI* pOriginal )
- virtual void copy ( Edit::DataBlockI* pBlock )
- virtual void restore ( Edit::EditableI* pBlock )
- virtual PajaTypes::uint32 get_type () const
- virtual void set_controller ( ControllerC* cnt )
- virtual ControllerC* get_controller ()
- virtual void set_style ( PajaTypes::uint32 style )
- virtual PajaTypes::uint32 get_style () const
- virtual void set_id ( PajaTypes::uint32 id )
- virtual PajaTypes::uint32 get_id () const
- virtual void set_increment ( PajaTypes::float32 inc )
- virtual PajaTypes::float32 get_increment () const
- virtual bool get_min_max ( PajaTypes::float32* pMin, PajaTypes::float32* pMax )
- virtual void set_val ( PajaTypes::int32 i32Time, PajaTypes::float32* pVal )
- virtual void get_val ( PajaTypes::int32 i32Time, PajaTypes::float32* pVal )
- virtual void set_val ( PajaTypes::int32 i32Time, const char* szVal )
- virtual const char* get_val ( PajaTypes::int32 i32Time, char* szVal = 0, PajaTypes::int32 i32Size = 0 )
- virtual PajaTypes::uint32 save ( FileIO::SaveC* pSave )
- virtual PajaTypes::uint32 load ( FileIO::LoadC* pLoad )

## Static Public Methods

- ParamTextC* create_new ( GizmoI* pParent, const char* szName, const char* szText, PajaTypes::uint32 id, PajaTypes::uint32 style = PARAM_STYLE_EDITBOX )

## Protected Methods

- ParamTextC ()
- ParamTextC ( GizmoI* pParent, const char* name, const char* text, PajaTypes::uint32 id, PajaTypes::uint32 style = PARAM_STYLE_EDITBOX )
- ParamTextC ( Edit::EditableI* pOriginal )
- virtual ~ParamTextC ()

## Detailed Description

Text parameter class.

Text parameter class provides a simple text input to the effect. The text parameter cannot be animated.

Range and spinner increment are not used.

A new text parameter is created using the create_new() static method.

## Constructor & Destructor Documentation

ParamTextC ( | )`[protected]`

| Default constructor.

ParamTextC ( | GizmoI * pParent,
| const char * name,
| const char * text,
| PajaTypes::uint32 id,
| PajaTypes::uint32 style = PARAM_STYLE_EDITBOX )`[protected]`

| Constructor.

ParamTextC ( | Edit::EditableI * pOriginal )`[protected]`

| Constructor with reference to the original.

~ParamTextC ( | )`[protected, virtual]`

| Default destructor.

## Member Function Documentation

virtual void copy ( | Edit::DataBlockI * pBlock )`[virtual]`

| Deep copy from a data block, see Edit::DataBlockI::copy(). Reimplemented from Composition::ParamI.

virtual Edit::DataBlockI* create ( | Edit::EditableI * pOriginal )`[virtual]`

  | Creates new datablock, with reference to the original. Parameters:
  pOriginal | Pointer to the original editable. This method is used by the undo system to create a copy of the editable while keeping reference to the original.
The method restore() is used to restore the data from the original copy. Reimplemented from Edit::EditableI.

Edit::DataBlockI * create ( | )`[virtual]`

| Creates new parameter. Following default values are used:
                pParent = 0,
                szName = 0,
                szValue = 0,
                ui32ID = 0,
                ui32Style = 0,
See also: create_new Reimplemented from Edit::EditableI.

ParamTextC * create_new ( | GizmoI * pParent,
| const char * szName,
| const char * szText,
| PajaTypes::uint32 id,
| PajaTypes::uint32 style = PARAM_STYLE_EDITBOX )`[static]`

  | Creates a new color parameter. Parameters:
  pParent | Pointer to the parent gizmo.
  szName | The name of the parameter as NULL terminated string.
  rValue | Start value of the parameter.
  ui32ID | ID of the parameter.
  ui32Style | The style of the parameter. Must be PARAM_STYLE_EDITBOX. Default PARAM_STYLE_EDITBOX.
The only type-in style is edit box. Example: This example creates new parameter. The name of the parameter is "Text", it's default value is string "Text" and it's ID is ID_TEXT (constant defined by the plugin writer), the type-in style is the default editbox.
                m_pParamText = ParamTextC::create_new( this, "Text", "Text", ID_TEXT );

virtual ControllerC* get_controller ( | )`[virtual]`

| Returns the conroller attached to the parameter. NULL is returned if the parameter cannot be animated. Reimplemented from Composition::ParamI.

virtual PajaTypes::uint32 get_id ( | ) const`[virtual]`

| Returns the ID of the parameter. Reimplemented from Composition::ParamI.

virtual PajaTypes::float32 get_increment ( | ) const`[virtual]`

| Returns the spinner increment. Reimplemented from Composition::ParamI.

virtual bool get_min_max ( | PajaTypes::float32 * pMin,
| PajaTypes::float32 * pMax )`[virtual]`

  | Returns the range of the parameter. Parameters:
  pMin | pointer to a array of maximum of KEY_MAXCHANNEL floats.
  pMax | pointer to a array of maximum of KEY_MAXCHANNEL floats.
If the type of the parameter id not know use arrays of KEY_MAXCHANNEL floats. Returns: true if the range is valid, false if the range is not used. Reimplemented from Composition::ParamI.

virtual PajaTypes::uint32 get_style ( | ) const`[virtual]`

| Returns the style of the parameter. Reimplemented from Composition::ParamI.

virtual PajaTypes::uint32 get_type ( | ) const`[virtual]`

| Returns the type of the parameter. Reimplemented from Composition::ParamI.

const char * get_val ( | PajaTypes::int32 i32Time,
| char * szVal = 0,
| PajaTypes::int32 i32Size = 0 )`[virtual]`

  | Returns the value of the parameter. Parameters:
  i32Time | Point in time to get the value.
  szVal | pointer to the string to copy the value.
  i32Size | size of the string to copy the value.
Returns: Pointer to the parameter string.

virtual void get_val ( | PajaTypes::int32 i32Time,
| PajaTypes::float32 * pVal )`[virtual]`

  | Returns the value of the parameter. Parameters:
  pVal | pointer to a array of maximum of KEY_MAXCHANNEL floats. If the type of the parameter id not know use arrays of KEY_MAXCHANNEL floats. If The parameter is animated, interpolated value is returned.
Reimplemented from Composition::ParamI.

virtual PajaTypes::uint32 load ( | FileIO::LoadC * pLoad )`[virtual]`

| Serialize the parameter from a Demopaja input stream. Reimplemented from Composition::ParamI.

virtual void restore ( | Edit::EditableI * pBlock )`[virtual]`

| Shallow copy from a editable, see Edit::EditableI::restore(). Reimplemented from Composition::ParamI.

virtual PajaTypes::uint32 save ( | FileIO::SaveC * pSave )`[virtual]`

| Serialize the parameter to a Demopaja output stream. Reimplemented from Composition::ParamI.

virtual void set_controller ( | ControllerC * cnt )`[virtual]`

| Sets the controller of the parameter. Reimplemented from Composition::ParamI.

virtual void set_id ( | PajaTypes::uint32 id )`[virtual]`

| Sets the ID of the parmeter. Reimplemented from Composition::ParamI.

virtual void set_increment ( | PajaTypes::float32 inc )`[virtual]`

| Sets the spinner increment of the parameter. The spinner increment is the smallest value the parameter is meant to control. For 1/10th accuracy use spinner increment of 0.1. The spinner increment is used in the spinners of the type-ins and also to draw the values in the GUI. Reimplemented from Composition::ParamI.

virtual void set_style ( | PajaTypes::uint32 style )`[virtual]`

| Sets the style of the parameter. Reimplemented from Composition::ParamI.

void set_val ( | PajaTypes::int32 i32Time,
| const char * szVal )`[virtual]`

| Sets the value of the parameter as NULL terminated string at specified time.

virtual void set_val ( | PajaTypes::int32 i32Time,
| PajaTypes::float32 * pVal )`[virtual]`

  | Sets the value of the parameter. Parameters:
  pVal | pointer to a array of maximum of KEY_MAXCHANNEL floats. If the type of the parameter id not know use arrays of KEY_MAXCHANNEL floats. If the parameter is animated a new keyframe is created or existing is updated.
Reimplemented from Composition::ParamI.

The documentation for this class was generated from the following file:

- ParamI.h